curl --request POST \
--url https://api.tensormesh.ai/v1/support/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"userId": "<string>",
"type": "TICKET_TYPE_UNSPECIFIED",
"message": "<string>"
}
'{
"ticket": {
"ticketId": "<string>",
"subject": "<string>",
"requesterUserId": "<string>",
"status": "TICKET_STATUS_UNSPECIFIED",
"type": "TICKET_TYPE_UNSPECIFIED",
"conversations": [
{
"userId": "<string>",
"userName": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Creates a new support ticket.
curl --request POST \
--url https://api.tensormesh.ai/v1/support/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"userId": "<string>",
"type": "TICKET_TYPE_UNSPECIFIED",
"message": "<string>"
}
'{
"ticket": {
"ticketId": "<string>",
"subject": "<string>",
"requesterUserId": "<string>",
"status": "TICKET_STATUS_UNSPECIFIED",
"type": "TICKET_TYPE_UNSPECIFIED",
"conversations": [
{
"userId": "<string>",
"userName": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using an access token. Format: Bearer <access_token>
CreateTicketRequest is the request to create a support ticket.
Ticket subject.
User who creates the ticket.
TicketType represents the category of a support ticket.
TICKET_TYPE_UNSPECIFIED, TICKET_TYPE_BUG_REPORT, TICKET_TYPE_FEATURE_REQUEST, TICKET_TYPE_IMPROVEMENT_SUGGESTION, TICKET_TYPE_QUESTION, TICKET_TYPE_OTHER Initial conversation message content.
A successful response.
CreateTicketResponse is the response after creating a ticket.
Ticket represents a support case.
Show child attributes
Was this page helpful?